## enet 1.3.3

=== debian/changelog ===
enet (1.3.3-2) unstable; urgency=low

  * Apply patch from Samuel Thibault <sthibault@debian.org> to allow enet to
    build on hurd-i386. (Closes: #638385)
    + new patch: ftbfs-on-hurd-i386.diff
  * Use xz compression for source and binary packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 19 Aug 2011 20:49:50 +0200

enet (1.3.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update years of copyright.
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 28 Jun 2011 20:36:01 +0200

enet (1.3.1-3) unstable; urgency=low

  * Build for multiarch.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 23 Jun 2011 23:18:36 +0200

enet (1.3.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 12 Mar 2011 17:35:42 +0100

enet (1.3.1-1) experimental; urgency=low

  * New upstream release. (Closes: #585782)
  * Change binary package names for new soname.
  * Remove transitional libenet1-dev package.
  * Use upstream's pkg-config file instead of our own.
  * No longer install tutorial.txt: removed upstream.
  * Remove patch kfreebsd.diff: applied upstream.
  * Use source format 3.0 (quilt).
  * debian/watch: Do not call uupdate.
  * debian/copyright: Update years of copyright.
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 05 Mar 2011 17:16:28 +0100

enet (1.2.1-1) unstable; urgency=low

  * New upstream release.
    + change soname to `libenet.so.0debian1', rename packages accordingly.
    + refresh patch.
  * debian/copyright: Update years of copyright.

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 30 Dec 2009 15:50:48 +0900

enet (1.2-4) unstable; urgency=low

  * debian/control: Move libenet2-dbg to section `debug'
  * debian/control: Add ${misc:Depends}
  * libenet-dev: Make dependency on libenet2 versioned
  * debian/enet.pc: Remove -I${includedir}/enet from Cflags
    (Closes: #519982)
  * use debhelper's override feature
  * add header to patch kfreebsd.diff
  * debian/control: remove duplicate field Section from binary package
    defintion
  * bump Standards-Version to 3.8.3

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 06 Sep 2009 13:29:45 +0200

enet (1.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Clint Adams <schizo@debian.org>  Sun, 01 Mar 2009 14:28:27 -0500

enet (1.2-2) experimental; urgency=low

  * Make libenet-dev depend on libenet2.

 -- Clint Adams <schizo@debian.org>  Sat, 17 Jan 2009 15:19:50 -0500

enet (1.2-1) experimental; urgency=low

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

  [ Ansgar Burchardt ]
  * New upstream release
    + bump SONAME of shared library
    + update version in enet.pc
  * Switch to debhelper 7
  * bump Standards Version to 3.8.0
    + Added debian/README.source
    + Remove Homepage semi-field from description
  * debian/copyright: Switch to proposed machine-readable format
  * debian/control: Change Vcs-* fields to Git
  * debian/control: Add myself to Uploaders
  * Make libenet1-dev a transitional package for libenet-dev instead of the
    other way around.  We only want to support the latest version.
  * Change description for libenet2 and libenet-dev
  * Add libenet-doc package for documentation, also generate said
    documentation with doxygen
  * Add libenet2-dbg with debugging symbols

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 27 Aug 2008 00:43:58 +0200

enet (1.1-2) unstable; urgency=low

  * add kfreebsd.diff (Closes: #414348)
   - add a builddep on quilt

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 16 Sep 2007 23:12:07 +0200

enet (1.1-1) unstable; urgency=low

  * New upstream release (Closes: #414348)
  * update the homesite url in descriptions (Closes: #432202)
  * do not ignore make clean return anymore
  * update the copyright file
  * add a watchfile

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 11 Jul 2007 08:10:45 +0000

enet (1.0-4) unstable; urgency=low

  * upload in unstable

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 13 May 2007 23:43:02 +0200

enet (1.0-3) experimental; urgency=low

  * create a shared lib to respect Debian policy
   - add libenet1.links libenet1-dev.links
   - calls dh_makeshlibs
  * provide libenet1 and libenet1-dev. Keeps libenet-dev as dummy package for
    the transition
  * add a pkg-config file (Closes: #387581)
  * add a XS-Vcs-Svn: entry in the control file

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 24 Mar 2007 18:55:29 +0100

enet (1.0-2) unstable; urgency=medium

  * remove cdbs. please see http://wiki.debian.org/Games/ToolsDiscuss
  * libenet-dev FIX: install missing file callbacks.h (Closes: #385740)
  * provide libenet-dev only since it's not a shared library

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Fri, 18 Aug 2006 19:44:26 +0200

enet (1.0-1) unstable; urgency=low

  * Initial Release (Closes: #375429)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 24 Jun 2006 12:40:54 +0200

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -W -Wall -fPIC

%:
	dh $@

override_dh_auto_configure:
	ln -sf /usr/share/misc/config.sub /usr/share/misc/config.guess .
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	doxygen

override_dh_clean:
	[ ! -d docs/html ] || rm -r docs/html/
	dh_clean

override_dh_strip:
	dh_strip --dbg-package=libenet1a-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://enet.bespin.org/download/ enet-(.+).tar.gz

## enet 1.3.13+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(enet)

# The "configure" step.
include(CheckFunctionExists)
include(CheckStructHasMember)
include(CheckTypeSize)
check_function_exists("fcntl" HAS_FCNTL)
check_function_exists("poll" HAS_POLL)
check_function_exists("gethostbyname_r" HAS_GETHOSTBYNAME_R)
check_function_exists("gethostbyaddr_r" HAS_GETHOSTBYADDR_R)
check_function_exists("inet_pton" HAS_INET_PTON)
check_function_exists("inet_ntop" HAS_INET_NTOP)
check_struct_has_member("struct msghdr" "msg_flags" "sys/types.h;sys/socket.h" HAS_MSGHDR_FLAGS)
set(CMAKE_EXTRA_INCLUDE_FILES "sys/types.h" "sys/socket.h")
check_type_size("socklen_t" HAS_SOCKLEN_T BUILTIN_TYPES_ONLY)
unset(CMAKE_EXTRA_INCLUDE_FILES)
 
if(HAS_FCNTL)
    add_definitions(-DHAS_FCNTL=1)
endif()
if(HAS_POLL)
    add_definitions(-DHAS_POLL=1)
endif()
if(HAS_GETHOSTBYNAME_R)
    add_definitions(-DHAS_GETHOSTBYNAME_R=1)
endif()
if(HAS_GETHOSTBYADDR_R)
    add_definitions(-DHAS_GETHOSTBYADDR_R=1)
endif()
if(HAS_INET_PTON)
    add_definitions(-DHAS_INET_PTON=1)
endif()
if(HAS_INET_NTOP)
    add_definitions(-DHAS_INET_NTOP=1)
endif()
if(HAS_MSGHDR_FLAGS)
    add_definitions(-DHAS_MSGHDR_FLAGS=1)
endif()
if(HAS_SOCKLEN_T)
    add_definitions(-DHAS_SOCKLEN_T=1)
endif()
 
include_directories(${PROJECT_SOURCE_DIR}/include)
 
add_library(enet STATIC
        callbacks.c
        compress.c
        host.c
        list.c
        packet.c
        peer.c
        protocol.c
        unix.c
        win32.c
    )

## enet 1.3.8+ds

=== debian/changelog ===
enet (1.3.8+ds-2) unstable; urgency=low

  * Upload to unstable.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 13 Jun 2013 23:02:19 +0200

enet (1.3.8+ds-1) experimental; urgency=low

  * New upstream release.
  * Add shlibs and symbols files for libenet2a.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 04 Jun 2013 22:59:04 +0200

enet (1.3.7+ds-2) experimental; urgency=low

  * debian/rules: override dh_autoreconf to create m4 directory. Creating the
    directory in the build target would require changing the build-arch and
    build-indep targets as well.
  * Add Multi-Arch fields for all binary packages.
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 25 May 2013 17:20:21 +0200

enet (1.3.7+ds-1) experimental; urgency=low

  * New upstream release. (Closes: #685937)
  * Change binary package names for new soname (libenet2a).
  * Add get-orig-source target to remove precompiled Windows libraries.
    While at it, also remove other generated files.
  * debian/libenet-doc.docs: design.txt was removed upstream. No longer
    try to install it.
  * debian/copyright: Update years of copyright.
  * Use dh-autoreconf.
  * debian/rules: Create m4 directory in build target.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 18 May 2013 16:58:52 +0200

=== debian/control ===
Source: enet
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Gonéri Le Bouder <goneri@rulezlan.org>,
 Ansgar Burchardt <ansgar@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, doxygen
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-games/enet.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/enet.git
Homepage: http://enet.bespin.org/

Package: libenet2a
Replaces: libenet2
Conflicts: libenet2
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: thin network communication layer on top of UDP
 ENet's purpose is to provide a relatively thin, simple and robust network
 communication layer on top of UDP (User Datagram Protocol). The primary
 feature it provides is optional reliable, in-order delivery of packets.
 .
 ENet is NOT intended to be a general purpose high level networking library
 that handles authentication, lobbying, server discovery, compression,
 encryption and other high level, often application level or dependent tasks.

Package: libenet-dev
Section: libdevel
Depends: ${misc:Depends}, libenet2a (= ${binary:Version})
Recommends: libenet-doc, libenet2a-dbg
Replaces: libenet1-dev (<< 1.2)
Architecture: any
Multi-Arch: same
Description: thin network communication layer on top of UDP - headers
 ENet's purpose is to provide a relatively thin, simple and robust network
 communication layer on top of UDP (User Datagram Protocol). The primary
 feature it provides is optional reliable, in-order delivery of packets.
 .
 ENet is NOT intended to be a general purpose high level networking library
 that handles authentication, lobbying, server discovery, compression,
 encryption and other high level, often application level or dependent tasks.
 .
 This package contains the development files.

Package: libenet2a-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libenet2a (= ${binary:Version})
Description: thin network communication layer on top of UDP - debug symbols
 ENet's purpose is to provide a relatively thin, simple and robust network
 communication layer on top of UDP (User Datagram Protocol). The primary
 feature it provides is optional reliable, in-order delivery of packets.
 .
 ENet is NOT intended to be a general purpose high level networking library
 that handles authentication, lobbying, server discovery, compression,
 encryption and other high level, often application level or dependent tasks.
 .
 This package contains the debugging symbols for the library.

Package: libenet-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: thin network communication layer on top of UDP - documentation
 ENet's purpose is to provide a relatively thin, simple and robust network
 communication layer on top of UDP (User Datagram Protocol). The primary
 feature it provides is optional reliable, in-order delivery of packets.
 .
 ENet is NOT intended to be a general purpose high level networking library
 that handles authentication, lobbying, server discovery, compression,
 encryption and other high level, often application level or dependent tasks.
 .
 This package includes the documentation.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -W -Wall -fPIC

%:
	dh $@ --with autoreconf

VERSION := 1.3.8
get-orig-source:
	wget --no-clobber -O enet-$(VERSION).tar.gz http://enet.bespin.org/download/enet-$(VERSION).tar.gz
	mkdir enet-$(VERSION)+ds
	tar --strip-components=1 -C enet-$(VERSION)+ds -xzf enet-$(VERSION).tar.gz
	set -e; cd enet-$(VERSION)+ds; \
		rm -f enet.lib enet64.lib; \
		rm -rf docs/html; \
		rm -rf Makefile.in aclocal.m4 config.guess config.sub configure depcomp install-sh ltmain.sh m4 missing; \
		chmod -x enet.dsp docs/*.dox
	tar -cJf enet_$(VERSION)+ds.orig.tar.xz enet-$(VERSION)+ds
	rm -rf enet-$(VERSION)+ds

override_dh_auto_build:
	dh_auto_build
	doxygen

override_dh_clean:
	[ ! -d docs/html ] || rm -r docs/html/
	dh_clean


override_dh_autoreconf:
	mkdir -p m4
	dh_autoreconf

override_dh_strip:
	dh_strip --dbg-package=libenet2a-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

## enet 1.3.9+ds

=== debian/changelog ===
enet (1.3.9+ds-1) unstable; urgency=low

  * New upstream release.
  * Update symbols and shlibs files.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 30 Sep 2013 23:03:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 %:
 	dh $@ --with autoreconf
 
-VERSION := 1.3.8
+VERSION := 1.3.9
 get-orig-source:
 	wget --no-clobber -O enet-$(VERSION).tar.gz http://enet.bespin.org/download/enet-$(VERSION).tar.gz
 	mkdir enet-$(VERSION)+ds

## enet 1.3.11%2bds-1-maemo1

=== debian/changelog ===
enet (1.3.11+ds-1-maemo1) unstable; urgency=medium

  * Not packing with xz

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 25 May 2014 11:51:44 +0300

enet (1.3.11+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 27 Dec 2013 15:17:44 +0100

enet (1.3.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols and shlibs files.
  * debian/control: Use canonical URI for Vcs-* fields.
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 16 Dec 2013 23:31:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: enet
 Section: libs
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Gonéri Le Bouder <goneri@rulezlan.org>,
- Ansgar Burchardt <ansgar@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, doxygen
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-games/enet.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/enet.git
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: dh-autoreconf, doxygen
+Standards-Version: 3.9.5
 Homepage: http://enet.bespin.org/
 
 Package: libenet2a

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 %:
 	dh $@ --with autoreconf
 
-VERSION := 1.3.9
+VERSION := 1.3.11
 get-orig-source:
 	wget --no-clobber -O enet-$(VERSION).tar.gz http://enet.bespin.org/download/enet-$(VERSION).tar.gz
 	mkdir enet-$(VERSION)+ds
@@ -13,7 +13,7 @@
 	set -e; cd enet-$(VERSION)+ds; \
 		rm -f enet.lib enet64.lib; \
 		rm -rf docs/html; \
-		rm -rf Makefile.in aclocal.m4 config.guess config.sub configure depcomp install-sh ltmain.sh m4 missing; \
+		rm -rf Makefile.in aclocal.m4 compile config.guess config.sub configure depcomp install-sh ltmain.sh m4 missing; \
 		chmod -x enet.dsp docs/*.dox
 	tar -cJf enet_$(VERSION)+ds.orig.tar.xz enet-$(VERSION)+ds
 	rm -rf enet-$(VERSION)+ds
@@ -34,5 +34,5 @@
 override_dh_strip:
 	dh_strip --dbg-package=libenet2a-dbg
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
+#override_dh_builddeb:
+#	dh_builddeb -- -Zxz

## enet 1.3.11+ds

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: enet
 Section: libs
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: dh-autoreconf, doxygen
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Gonéri Le Bouder <goneri@rulezlan.org>,
+ Ansgar Burchardt <ansgar@debian.org>
+Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, doxygen
 Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-games/enet.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/enet.git
 Homepage: http://enet.bespin.org/
 
 Package: libenet2a

=== debian/rules ===
--- 
+++ 
@@ -34,5 +34,5 @@
 override_dh_strip:
 	dh_strip --dbg-package=libenet2a-dbg
 
-#override_dh_builddeb:
-#	dh_builddeb -- -Zxz
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

## enet 1.3.12%2Bds

=== debian/watch ===
version=3

opts=dversionmangle=s/\+ds$// \
http://enet.bespin.org/download/ enet-(.+).tar.gz

## enet 1.3.12+ds

=== debian/changelog ===
enet (1.3.12+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 25 May 2014 20:29:56 +0200

enet (1.3.12+ds-1) experimental; urgency=medium

  * New upstream release.
  * Rename shared library package due to soname change from libenet2a
    to libenet7.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 24 Apr 2014 22:34:44 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,7 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/enet.git
 Homepage: http://enet.bespin.org/
 
-Package: libenet2a
-Replaces: libenet2
-Conflicts: libenet2
+Package: libenet7
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
@@ -28,8 +26,8 @@
 
 Package: libenet-dev
 Section: libdevel
-Depends: ${misc:Depends}, libenet2a (= ${binary:Version})
-Recommends: libenet-doc, libenet2a-dbg
+Depends: ${misc:Depends}, libenet7 (= ${binary:Version})
+Recommends: libenet-doc, libenet7-dbg
 Replaces: libenet1-dev (<< 1.2)
 Architecture: any
 Multi-Arch: same
@@ -44,12 +42,12 @@
  .
  This package contains the development files.
 
-Package: libenet2a-dbg
+Package: libenet7-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libenet2a (= ${binary:Version})
+Depends: ${misc:Depends}, libenet7 (= ${binary:Version})
 Description: thin network communication layer on top of UDP - debug symbols
  ENet's purpose is to provide a relatively thin, simple and robust network
  communication layer on top of UDP (User Datagram Protocol). The primary

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 %:
 	dh $@ --with autoreconf
 
-VERSION := 1.3.11
+VERSION := 1.3.12
 get-orig-source:
 	wget --no-clobber -O enet-$(VERSION).tar.gz http://enet.bespin.org/download/enet-$(VERSION).tar.gz
 	mkdir enet-$(VERSION)+ds
@@ -26,13 +26,12 @@
 	[ ! -d docs/html ] || rm -r docs/html/
 	dh_clean
 
-
 override_dh_autoreconf:
 	mkdir -p m4
 	dh_autoreconf
 
 override_dh_strip:
-	dh_strip --dbg-package=libenet2a-dbg
+	dh_strip --dbg-package=libenet7-dbg
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz

## enet 1.3.13+ds

=== debian/changelog ===
enet (1.3.13+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.13+ds. (Closes: #841765)
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.1.4.
  * Update VCS fields.
  * Switch to compat level 11.
  * Drop libenet7-dbg package in favor of -dbgsym package.
  * d/copyright: Use copyright format 1.0.
  * Remove source/options file because xz compression is the default now.
  * Rebase ftbfs-on-hurd-i386 patch.

 -- Markus Koschany <apo@debian.org>  Wed, 09 May 2018 10:37:05 +0200

=== debian/control ===
Source: enet
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Gonéri Le Bouder <goneri@rulezlan.org>,
 Ansgar Burchardt <ansgar@debian.org>
Build-Depends:
 debhelper (>= 11),
 doxygen
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/games-team/enet.git
Vcs-Browser: https://salsa.debian.org/games-team/enet
Homepage: http://enet.bespin.org/

Package: libenet7
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: thin network communication layer on top of UDP
 ENet's purpose is to provide a relatively thin, simple and robust network
 communication layer on top of UDP (User Datagram Protocol). The primary
 feature it provides is optional reliable, in-order delivery of packets.
 .
 ENet is NOT intended to be a general purpose high level networking library
 that handles authentication, lobbying, server discovery, compression,
 encryption and other high level, often application level or dependent tasks.

Package: libenet-dev
Section: libdevel
Depends:
 libenet7 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 libenet-doc
Replaces:
 libenet1-dev (<< 1.2)
Architecture: any
Multi-Arch: same
Description: thin network communication layer on top of UDP - headers
 ENet's purpose is to provide a relatively thin, simple and robust network
 communication layer on top of UDP (User Datagram Protocol). The primary
 feature it provides is optional reliable, in-order delivery of packets.
 .
 ENet is NOT intended to be a general purpose high level networking library
 that handles authentication, lobbying, server discovery, compression,
 encryption and other high level, often application level or dependent tasks.
 .
 This package contains the development files.

Package: libenet-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: thin network communication layer on top of UDP - documentation
 ENet's purpose is to provide a relatively thin, simple and robust network
 communication layer on top of UDP (User Datagram Protocol). The primary
 feature it provides is optional reliable, in-order delivery of packets.
 .
 ENet is NOT intended to be a general purpose high level networking library
 that handles authentication, lobbying, server discovery, compression,
 encryption and other high level, often application level or dependent tasks.
 .
 This package includes the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 CFLAGS += -W -Wall -fPIC
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
-VERSION := 1.3.12
+VERSION := 1.3.13
 get-orig-source:
 	wget --no-clobber -O enet-$(VERSION).tar.gz http://enet.bespin.org/download/enet-$(VERSION).tar.gz
 	mkdir enet-$(VERSION)+ds
@@ -30,8 +30,3 @@
 	mkdir -p m4
 	dh_autoreconf
 
-override_dh_strip:
-	dh_strip --dbg-package=libenet7-dbg
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz

## enet 1.3.17+ds

=== debian/changelog ===
enet (1.3.17+ds-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:41:28 +0200

enet (1.3.17+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Sun, 08 Jan 2023 23:20:12 +0100

enet (1.3.17+ds-1) experimental; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Fix watch file (Closes: #1020607)

  [ Fukui Daichi ]
  * New upstream version 1.3.17+ds (Closes: #1020606)
  * debian/rules: Update version for get-orig-source target.
  * Switch to compat level 13.
  * Add Rules-Requires-Root field
  * debian/copyright: Update years of copyright and contributors
  * Add a new symbol and Build-Depends-Package field
  * 0001-ftbfs-on-hurd-i386.patch: update metadata
  * debian/rules: add hardening
  * debian/rules: do not build .a and .la files
  * Fix watch file
  * Bumped Standards-Version to 4.6.1

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Tue, 15 Nov 2022 14:09:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: enet
 Section: libs
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Gonéri Le Bouder <goneri@rulezlan.org>,
  Ansgar Burchardt <ansgar@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  doxygen
-Standards-Version: 4.1.4
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/enet.git
 Vcs-Browser: https://salsa.debian.org/games-team/enet
 Homepage: http://enet.bespin.org/
+Rules-Requires-Root: no
 
 Package: libenet7
 Depends:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%enet-$1.tar.gz%,repacksuffix=+ds,dversionmangle=s/\+ds\d*$//" \
https://github.com/lsalzman/enet/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## enet 1.3.18+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12...3.20)
 
 project(enet)
 
@@ -8,6 +8,8 @@
 include(CheckTypeSize)
 check_function_exists("fcntl" HAS_FCNTL)
 check_function_exists("poll" HAS_POLL)
+check_function_exists("getaddrinfo" HAS_GETADDRINFO)
+check_function_exists("getnameinfo" HAS_GETNAMEINFO)
 check_function_exists("gethostbyname_r" HAS_GETHOSTBYNAME_R)
 check_function_exists("gethostbyaddr_r" HAS_GETHOSTBYADDR_R)
 check_function_exists("inet_pton" HAS_INET_PTON)
@@ -16,12 +18,23 @@
 set(CMAKE_EXTRA_INCLUDE_FILES "sys/types.h" "sys/socket.h")
 check_type_size("socklen_t" HAS_SOCKLEN_T BUILTIN_TYPES_ONLY)
 unset(CMAKE_EXTRA_INCLUDE_FILES)
- 
+if(MSVC)
+	add_definitions(-W3)
+else()
+	add_definitions(-Wno-error)
+endif()
+
 if(HAS_FCNTL)
     add_definitions(-DHAS_FCNTL=1)
 endif()
 if(HAS_POLL)
     add_definitions(-DHAS_POLL=1)
+endif()
+if(HAS_GETNAMEINFO)
+    add_definitions(-DHAS_GETNAMEINFO=1)
+endif()
+if(HAS_GETADDRINFO)
+    add_definitions(-DHAS_GETADDRINFO=1)
 endif()
 if(HAS_GETHOSTBYNAME_R)
     add_definitions(-DHAS_GETHOSTBYNAME_R=1)
@@ -41,17 +54,49 @@
 if(HAS_SOCKLEN_T)
     add_definitions(-DHAS_SOCKLEN_T=1)
 endif()
- 
+
 include_directories(${PROJECT_SOURCE_DIR}/include)
- 
+
+set(INCLUDE_FILES_PREFIX include/enet)
+set(INCLUDE_FILES
+    ${INCLUDE_FILES_PREFIX}/callbacks.h
+    ${INCLUDE_FILES_PREFIX}/enet.h
+    ${INCLUDE_FILES_PREFIX}/list.h
+    ${INCLUDE_FILES_PREFIX}/protocol.h
+    ${INCLUDE_FILES_PREFIX}/time.h
+    ${INCLUDE_FILES_PREFIX}/types.h
+    ${INCLUDE_FILES_PREFIX}/unix.h
+    ${INCLUDE_FILES_PREFIX}/utility.h
+    ${INCLUDE_FILES_PREFIX}/win32.h
+)
+
+set(SOURCE_FILES
+    callbacks.c
+    compress.c
+    host.c
+    list.c
+    packet.c
+    peer.c
+    protocol.c
+    unix.c
+    win32.c)
+
+source_group(include FILES ${INCLUDE_FILES})
+source_group(source FILES ${SOURCE_FILES})
+
 add_library(enet STATIC
-        callbacks.c
-        compress.c
-        host.c
-        list.c
-        packet.c
-        peer.c
-        protocol.c
-        unix.c
-        win32.c
-    )
+    ${INCLUDE_FILES}
+    ${SOURCE_FILES}
+)
+
+if (MINGW)
+    target_link_libraries(enet winmm ws2_32)
+endif()
+
+install(TARGETS enet
+    RUNTIME DESTINATION bin
+    ARCHIVE DESTINATION lib/static
+    LIBRARY DESTINATION lib)
+
+install(DIRECTORY include/
+        DESTINATION include)

=== debian/changelog ===
enet (1.3.18+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1069076).
  * Add a d/gbp.conf with pristine-tar enabled.
  * Update copyright years.
  * Drop hurd FTBFS patch, applied upstream.
  * Add 2 new symbols to symbols file.

 -- Jordi Mallach <jordi@debian.org>  Wed, 08 May 2024 10:34:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: enet
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Gonéri Le Bouder <goneri@rulezlan.org>,
  Ansgar Burchardt <ansgar@debian.org>
